nixpkgs/pkgs/tools/security/sshguard/0001-Remove-the-unnecessary-from-ipset-cmds.patch
2017-03-26 14:46:22 +02:00

28 lines
808 B
Diff

From 11f0d238d3149c31c4440b8f6a58fe6a00b82d3a Mon Sep 17 00:00:00 2001
From: Daniel Aleksandersen <code@daniel.priv.no>
Date: Mon, 13 Mar 2017 16:29:33 +0100
Subject: [PATCH 1/3] Remove the unnecessary = from ipset cmds
---
src/fw/sshg-fw-ipset.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/src/fw/sshg-fw-ipset.sh b/src/fw/sshg-fw-ipset.sh
index 510bc2c..dc7f86b 100644
--- a/src/fw/sshg-fw-ipset.sh
+++ b/src/fw/sshg-fw-ipset.sh
@@ -3,8 +3,8 @@
# This file is part of SSHGuard.
fw_init() {
- ipset -quiet create -exist sshguard4 hash:ip family=inet
- ipset -quiet create -exist sshguard6 hash:ip family=inet6
+ ipset -quiet create -exist sshguard4 hash:ip family inet
+ ipset -quiet create -exist sshguard6 hash:ip family inet6
}
fw_block() {
--
2.10.0